package model

import (
	"time"
)

type KpeEvent struct {
	Id            int       `xorm:"not null pk default 0 comment('主键自增ID') INT(11)"`
	Name          string    `xorm:"not null default '' comment('事件名称') VARCHAR(260)"`
	Remarks       string    `xorm:"not null default '' comment('事件备注') VARCHAR(260)"`
	Category      int       `xorm:"not null default 0 comment('事件分类') SMALLINT(2)"`
	IndicatorsIds string    `xorm:"not null default '{}' comment('指标影响IDS json格式') VARCHAR(260)"`
	BaseIds       string    `xorm:"not null default '{}' comment('字段影响IDS json格式') VARCHAR(260)"`
	EventIds      string    `xorm:"not null default '{}' comment('事件IDS json格式') VARCHAR(260)"`
	FiledIds      string    `xorm:"not null default '{}' comment('字段IDS json格式') VARCHAR(260)"`
	IsShow        int       `xorm:"not null default 1 comment('是否显示菜单 1:显示 0: 隐藏') TINYINT(1)"`
	CreateTime    time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime    time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
