package model

import (
	"time"
)

type KptFileds struct {
	Id             int       `xorm:"not null pk autoincr comment('主键自增') INT(11)"`
	FieldName      string    `xorm:"not null comment('字段名称') VARCHAR(260)"`
	ComponentsType int       `xorm:"not null default 0 comment('组件类型 0 单行文本 1 多行文本 2 下拉框 3 单选框 4 多选框 5 日期选择器 6 时间选择器 7 开关') TINYINT(1)"`
	FieldType      int       `xorm:"not null default 0 comment('字段类型 0 无效类型 1 日期类型 2 时间类型 3 字符串 4 小数类型 5 bool类型') TINYINT(1)"`
	FiledLen       int       `xorm:"not null default 0 comment('字段长度') SMALLINT(5)"`
	MinValue       int       `xorm:"not null default 0 comment('取值范围: 最小值') INT(11)"`
	MaxValue       int       `xorm:"not null default 0 comment('取值范围: 最大值') INT(11)"`
	IsShow         int       `xorm:"not null default 1 comment('是否启用 0 否 1 是') TINYINT(1)"`
	Description    string    `xorm:"not null default '' comment('字段描述') VARCHAR(260)"`
	CreateTime     time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime     time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
